Package twisted :: Package protocols :: Module msn :: Class MSNDispatchClient

[show private | hide private]
[frames | no frames]

## Class MSNDispatchClient

    BaseProtocol --+
                   |
            Protocol --+
                       |
            LineReceiver --+
                           |
                MSNEventBase --+
                               |
                              MSNDispatchClient

This class provides support for clients connecting to the dispatch server

Method Summary
| `__init__(self)` (inherited from `MSNEventBase`)
| ``checkMessage`(self, message)` process received messages to check for file invitations and typing notifications and other control type messages (inherited from `MSNEventBase`)
| ``connectionFailed`(self)` (Deprecated) (inherited from `Protocol`)
| ``connectionLost`(self, reason)` Called when the connection is shut down. (inherited from `MSNEventBase`)
| ``connectionMade`(self)` Called when a connection is made.
| ``dataReceived`(self, data)` Protocol.dataReceived. (inherited from `LineReceiver`)
| ``gotBadLine`(self, line, why)` called when a handler notifies me that this line is broken (inherited from `MSNEventBase`)
| ``gotError`(self, errorCode)` called when the server sends an error which is not in response to a sent command (ie. (inherited from `MSNEventBase`)
| ``gotMessage`(self, message)` called when we receive a message - override in notification and switchboard clients (inherited from `MSNEventBase`)
| ``gotNotificationReferral`(self, host, port)` called when we get a referral to the notification server.
| `handle_INF(self, params)`
| `handle_MSG(self, params)` (inherited from `MSNEventBase`)
| ``handle_UNKNOWN`(self, cmd, params)` implement me in subclasses if you want to handle unknown events (inherited from `MSNEventBase`)
| `handle_VER(self, params)`
| `handle_XFR(self, params)`
| ``lineLengthExceeded`(self, line)` Called when the maximum line length has been reached. (inherited from `LineReceiver`)
| ``lineReceived`(self, line)` Override this for when each line is received. (inherited from `MSNEventBase`)
| ``rawDataReceived`(self, data)` Override this for when raw data is received. (inherited from `MSNEventBase`)
| ``sendLine`(self, line)` Sends a line to the other end of the connection. (inherited from `LineReceiver`)
| ``setLineMode`(self, extra)` Sets the line-mode of this receiver. (inherited from `LineReceiver`)
| ``setRawMode`(self)` Sets the raw mode of this receiver. (inherited from `LineReceiver`)

Instance Variable Summary
| `userHandle` - your user handle (passport) needed before connecting.

Class Variable Summary
`str` | `userHandle`

Method Details

### connectionMade(self)

Called when a connection is made.

This may be considered the initializer of the protocol, because it is called when the connection is completed. For clients, this is called once the connection to the server has been established; for servers, this is called after an accept() call stops blocking and a socket has been received. If you need to send any greeting or initial message, do it here.

  Overrides:
    `twisted.protocols.msn.MSNEventBase.connectionMade` (inherited documentation)

### gotNotificationReferral(self, host, port)

called when we get a referral to the notification server.

  Parameters:
    `host` - the notification server's hostname
    `port` - the port to connect to

Instance Variable Details

### userHandle

your user handle (passport) needed before connecting.

Class Variable Details

### userHandle

  Type:
    `str`
  Value:

        ''

Generated by Epydoc 1.1 on Thu May 8 13:16:40 2003 | http://epydoc.sf.net